Skip to content

insertSupplierQuote

WRITE

Create a new supplier quote with all business logic - generates sequence, creates supplier interaction, sets up external link. LLM can create a quote with just supplierId..

POST /api/v1/purchasing/insertSupplierQuote
curl -X POST '<your-host>/api/v1/purchasing/insertSupplierQuote' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "supplierId": "string"
  }'
Response
{
  "id": "string",
  "supplierQuoteId": "string"
}

Parameters

ParameterType
"Draft""Active""Expired""Declined""Cancelled"
"Purchase""Outside Processing"

Input schema

schema
{
  "type": "object",
  "properties": {
    "supplierId": {
      "type": "string"
    },
    "supplierQuoteId": {
      "type": "string"
    },
    "locationId": {
      "type": "string"
    },
    "status": {
      "type": "string",
      "enum": [
        "Draft",
        "Active",
        "Expired",
        "Declined",
        "Cancelled"
      ]
    },
    "currencyCode": {
      "type": "string"
    },
    "expirationDate": {
      "type": "string"
    },
    "supplierContactId": {
      "type": "string"
    },
    "supplierLocationId": {
      "type": "string"
    },
    "notes": {
      "type": "string"
    },
    "customFields": {},
    "quotedDate": {
      "type": "string"
    },
    "supplierReference": {
      "type": "string"
    },
    "supplierQuoteType": {
      "type": "string",
      "enum": [
        "Purchase",
        "Outside Processing"
      ]
    }
  },
  "required": [
    "supplierId"
  ]
}